// Copyright (C) 2003 by Alexander Motzkau.
// 
// This file is released under the GPLv2.

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
    int i;
    struct stat buf;
    
    for(i=1;i<argc;i++)
	if(stat(argv[i], &buf))
	    perror(argv[i]);
	else if(S_ISCHR(buf.st_mode) || S_ISBLK(buf.st_mode))
	    printf("%d:%d\n",major(buf.st_rdev),minor(buf.st_rdev));
	else
	    printf("%s: Not a device.\n", argv[i]);
    return 0;
}
